Apilo REST API (2.0.0.13 -> 3.0.0.0) changelog
What's New
- GET/api/v3/bulk/{bulkOperationId} Get bulk operation items statuses.
- POST/api/v3/orders/bulk Bulk order status operations.
- GET/api/v3/version Get Api version.
- GET/api/v3/whoami Get Whoami.
What's Deleted
- GET
/rest/api/finance/document-configs/ Get accounting document numbering series. - GET
/rest/api/finance/documents/ Get list of accounting documents. - POST
/rest/api/finance/documents/{id}/documents/ Create a document for accounting documents. - DELETE
/rest/api/finance/documents/{id}/documents/{idExternal}/ Delete a document for accounting documents. - GET
/rest/api/ Connection test. - GET
/rest/api/whoami/ Connection info. - POST
/rest/api/media/ Create new media attachment. - GET
/rest/api/media/{uuid}/ Get media. - GET
/rest/api/orders/ Get simple list of orders. - POST
/rest/api/orders/ Create a new order. - GET
/rest/api/orders/{id}/ Get detailed order by given ID. - GET
/rest/api/orders/{id}/shipping-settings-defaults/ Get order default shipping settings. - PUT
/rest/api/orders/{id}/status/ Update order status. - POST
/rest/api/orders/{id}/payment/ Add payment to Order. - GET
/rest/api/orders/{id}/media/{document}/ Order Binary document. - GET
/rest/api/orders/{id}/documents/ Get simple list of documents for given order. - POST
/rest/api/orders/{id}/documents/ Create document for order. - GET
/rest/api/orders/{id}/documents/{document}/ Order Document detail. - DELETE
/rest/api/orders/{id}/documents/{document}/ Delete document for given order. - GET
/rest/api/orders/documents/map/ Get document types map. - GET
/rest/api/orders/payment/map/ Get Payment types list. - GET
/rest/api/orders/status/map/ Get order Status types list. - GET
/rest/api/orders/carrier/map/ Get list of Carrier. - GET
/rest/api/orders/carrier-account/map/ Get Carrier Account list. - GET
/rest/api/orders/platform/map/ Get Platform list. - GET
/rest/api/orders/tag/map/ Tag list. - GET
/rest/api/orders/{id}/note/ Get order notes. - POST
/rest/api/orders/{id}/note/ Add note to order. - GET
/rest/api/orders/{id}/shipment/ List of order shipments. - POST
/rest/api/orders/{id}/shipment/ Add shipment to order. - GET
/rest/api/orders/{id}/shipment/{shipment}/ Shipment detail. - GET
/rest/api/orders/shipment/status/map/ Get shipment status map. - GET
/rest/api/orders/{orderId}/tag/ Order tags list. - POST
/rest/api/orders/{orderId}/tag/ Create order tag. - DELETE
/rest/api/orders/{orderId}/tag/{tagId}/ Delete order tag. - GET
/rest/api/sale/ Get list of sales channels. - GET
/rest/api/sale/auction/ Get auctions list. - GET
/rest/api/shipping/shipment/{id}/ Get detailed shipment by given ID. - GET
/rest/api/shipping/shipment/info/ Get list of shipments for given filters. - GET
/rest/api/shipping/shipment/tracking/ Get a list of shipments tracking information for given filters. - GET
/rest/api/shipping/carrier-account/map/ Get Carrier Account list. - GET
/rest/api/shipping/carrier-account/{id}/method/ Get Carrier sending methods. - GET
/rest/api/shipping/carrier-account/{carrierAccountId}/method/{method}/map/ Get list of shipment option need to create new shipment. - POST
/rest/api/shipping/shipment/ Creates a new shipment from the submitted data. - GET
/rest/api/shipping/carrier-document/ Get list of shipment carrier documents. - POST
/rest/api/shipping/carrier-document/ Confirm shipment and order pickup. - POST
/rest/api/shipping/pickup-date-proposal/ Get shipment pick up date proposal. - GET
/rest/api/warehouse/attribute/ Attribute List. - POST
/rest/api/warehouse/attribute/ Attribute create. - PATCH
/rest/api/warehouse/attribute/ Attribute update. - GET
/rest/api/warehouse/product/attributes/ Product attribute list. - DELETE
/rest/api/warehouse/product/attributes/ Product Attributes Delete. - PATCH
/rest/api/warehouse/product/attributes/ Product Attribute update. - GET
/rest/api/warehouse/product/media/ Products Media list. - GET
/rest/api/warehouse/category/ Categories list. - POST
/rest/api/warehouse/category/ Category create. - GET
/rest/api/warehouse/product/ Products list. - PUT
/rest/api/warehouse/product/ Products data update. - POST
/rest/api/warehouse/product/ Products create. - PATCH
/rest/api/warehouse/product/ Products PATCH update. - GET
/rest/api/warehouse/product/{id}/ Get Product detail. - DELETE
/rest/api/warehouse/product/{id}/ Delete Product. - PATCH
/rest/api/warehouse/product/{id}/location/ Product location PATCH update. - GET
/rest/api/warehouse/location/ Locations list. - PUT
/rest/api/warehouse/location/ Locations data update. - POST
/rest/api/warehouse/location/ Locations create. - PATCH
/rest/api/warehouse/location/ Locations PATCH update. - GET
/rest/api/warehouse/location/{id}/ Get Location detail. - DELETE
/rest/api/warehouse/location/{id}/ Delete Location. - GET
/rest/api/warehouse/price-calculated/ Prices list. - POST
/rest/api/warehouse/price-calculated/ Price create and update. - DELETE
/rest/api/warehouse/price-calculated/{product}/{price}/ Delete price. - GET
/rest/api/warehouse/price/ Price lists.